gnutls_compress_certificate_set_methods(3)

NAME
gnutls_compress_certificate_set_methods - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_compress_certificate_set_methods(gnutls_session_t session, const gnutls_compression_method_t * methods, size_t methods_len);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const gnutls_compression_method_t * methods
    is a list of supported compression methods.

size_t methods_len
    number of compression methods in methods

DESCRIPTION
This function sets the supported compression methods for certificate compression for the given session. The list of supported compression methods will be used for a) requesting the compression of peer's certificate and b) selecting the method to compress the local certificate before sending it to the peer. The order of compression methods inside the list does matter as the method that appears earlier in the list will be preffered before the later ones. Note that even if you set the list of supported compression methods, the compression might not be used if the peer does not support any of your chosen compression methods.

The list of supported compression methods must meet the following criteria: Argument methods must be an array of valid compression methods of type gnutls_compression_method_t. Argument methods_len must contain the number of compression methods stored in the methods array and must be within range <1, 127>. The length constraints are defined by MIN_COMPRESS_CERTIFICATE_METHODS and MAX_COMPRESS_CERTIFICATE_METHODS macros located in the header file compress_certificate.h.

If either methods or methods_len is equal to 0, current list of supported compression methods will be unset.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

Since 3.7.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/